Bug 177611 - AVC denied at eventpollfs when using PHP's mail()
Summary: AVC denied at eventpollfs when using PHP's mail()
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-12 10:46 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.2.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-29 18:36:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-01-12 10:46:48 UTC
Description of problem:
Using PHP's mail() I get the following messages in syslog:

type=AVC msg=audit(1137061694.420:559655): avc:  denied  { read } for  pid=19058 
comm="sendmail" name="[29574311]" dev=eventpollfs ino=29574311 scontext=root:
system_r:system_mail_t:s0 tcontext=system_u:object_r:eventpollfs_t:s0 
tclass=file
type=SYSCALL msg=audit(1137061694.420:559655): arch=40000003 syscall=11 
success=yes exit=0 a0=8131018 a1=81311e8 a2=8131140 a3=8131018 items=2 pid=19058 
auid=500 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=51 sgid=51 fsgid=51 
comm="sendmail" exe="/usr/sbin/sendmail.sendmail"
type=AVC_PATH msg=audit(1137061694.420:559655):  path="eventpoll:[29574311]" 
type=CWD msg=audit(1137061694.420:559655):  cwd="/home/robert/public_html"
type=PATH msg=audit(1137061694.420:559655): item=0 name="/usr/sbin/sendmail" 
flags=101  inode=458760 dev=68:02 mode=0102755 ouid=0 ogid=51 rdev=00:00
type=PATH msg=audit(1137061694.420:559655): item=1 flags=101  inode=2965538 
dev=68:02 mode=0100755 ouid=0 ogid=0 rdev=00:00

The PHP file is labeled with user_u:object_r:httpd_sys_content_t

Version-Release number of selected component (if applicable):
selinux-policy-2.1.7-3

Actual results:
AVC denied messages

Expected results:
No AVC denied messages

Comment 1 Daniel Walsh 2006-01-14 07:02:03 UTC
Fixed in 2.1.10-2

Comment 2 Robert Scheck 2006-01-29 18:36:52 UTC
Yepp, seems so. Thanks! :)


Note You need to log in before you can comment on or make changes to this bug.